index
:
mingw-w64-ksocket.git
Windows Kernel <-> User mode socket communication made for "Mingw64 Driver Plus Plus".
log msg
author
committer
range
add/crypto
main
about
summary
refs
log
tree
commit
diff
path:
root
/
flatcc
/
external
/
grisu3
/
test.sh
diff options
context:
1
2
3
4
5
6
7
8
9
10
15
20
25
30
35
40
space:
include
ignore
mode:
unified
ssdiff
stat only
Diffstat
(limited to 'flatcc/external/grisu3/test.sh')
-rwxr-xr-x
flatcc/external/grisu3/test.sh
18
1 files changed, 18 insertions, 0 deletions
diff --git a/flatcc/external/grisu3/test.sh b/flatcc/external/grisu3/test.sh
new file mode 100755
index 0000000..1794fbb
--- /dev/null
+++ b/
flatcc/external/grisu3/test.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+cd $(dirname $0)
+mkdir -p build
+
+CC=cc
+
+$CC -g -Wall -Wextra $INCLUDE -I.. grisu3_test.c -lm -o build/grisu3_test_d
+$CC -DNDEBUG -Wall -Wextra -O2 $INCLUDE -I.. grisu3_test.c -lm -o build/grisu3_test
+echo "DEBUG:"
+build/grisu3_test_d
+echo "OPTIMIZED:"
+build/grisu3_test
+
+echo "running double conversion tests"
+./test_dblcnv.sh